OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.VertexShader

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTVertexShader :: MonadIO m => m Bool
- gl_EXT_vertex_shader :: Bool
- pattern GL_CURRENT_VERTEX_EXT :: GLenum
- pattern GL_FULL_RANGE_EXT :: GLenum
- pattern GL_INVARIANT_DATATYPE_EXT :: GLenum
- pattern GL_INVARIANT_EXT :: GLenum
- pattern GL_INVARIANT_VALUE_EXT :: GLenum
- pattern GL_LOCAL_CONSTANT_DATATYPE_EXT :: GLenum
- pattern GL_LOCAL_CONSTANT_EXT :: GLenum
- pattern GL_LOCAL_CONSTANT_VALUE_EXT :: GLenum
- pattern GL_LOCAL_EXT :: GLenum
- pattern GL_MATRIX_EXT :: GLenum
- pattern GL_MAX_OPTIMIZED_VERTEX_SHADER_INSTRUCTIONS_EXT :: GLenum
- pattern GL_MAX_OPTIMIZED_VERTEX_SHADER_INVARIANTS_EXT :: GLenum
- pattern GL_MAX_OPTIMIZED_VERTEX_SHADER_LOCALS_EXT :: GLenum
- pattern GL_MAX_OPTIMIZED_VERTEX_SHADER_LOCAL_CONSTANTS_EXT :: GLenum
- pattern GL_MAX_OPTIMIZED_VERTEX_SHADER_VARIANTS_EXT :: GLenum
- pattern GL_MAX_VERTEX_SHADER_INSTRUCTIONS_EXT :: GLenum
- pattern GL_MAX_VERTEX_SHADER_INVARIANTS_EXT :: GLenum
- pattern GL_MAX_VERTEX_SHADER_LOCALS_EXT :: GLenum
- pattern GL_MAX_VERTEX_SHADER_LOCAL_CONSTANTS_EXT :: GLenum
- pattern GL_MAX_VERTEX_SHADER_VARIANTS_EXT :: GLenum
- pattern GL_MVP_MATRIX_EXT :: GLenum
- pattern GL_NEGATIVE_ONE_EXT :: GLenum
- pattern GL_NEGATIVE_W_EXT :: GLenum
- pattern GL_NEGATIVE_X_EXT :: GLenum
- pattern GL_NEGATIVE_Y_EXT :: GLenum
- pattern GL_NEGATIVE_Z_EXT :: GLenum
- pattern GL_NORMALIZED_RANGE_EXT :: GLenum
- pattern GL_ONE_EXT :: GLenum
- pattern GL_OP_ADD_EXT :: GLenum
- pattern GL_OP_CLAMP_EXT :: GLenum
- pattern GL_OP_CROSS_PRODUCT_EXT :: GLenum
- pattern GL_OP_DOT3_EXT :: GLenum
- pattern GL_OP_DOT4_EXT :: GLenum
- pattern GL_OP_EXP_BASE_2_EXT :: GLenum
- pattern GL_OP_FLOOR_EXT :: GLenum
- pattern GL_OP_FRAC_EXT :: GLenum
- pattern GL_OP_INDEX_EXT :: GLenum
- pattern GL_OP_LOG_BASE_2_EXT :: GLenum
- pattern GL_OP_MADD_EXT :: GLenum
- pattern GL_OP_MAX_EXT :: GLenum
- pattern GL_OP_MIN_EXT :: GLenum
- pattern GL_OP_MOV_EXT :: GLenum
- pattern GL_OP_MULTIPLY_MATRIX_EXT :: GLenum
- pattern GL_OP_MUL_EXT :: GLenum
- pattern GL_OP_NEGATE_EXT :: GLenum
- pattern GL_OP_POWER_EXT :: GLenum
- pattern GL_OP_RECIP_EXT :: GLenum
- pattern GL_OP_RECIP_SQRT_EXT :: GLenum
- pattern GL_OP_ROUND_EXT :: GLenum
- pattern GL_OP_SET_GE_EXT :: GLenum
- pattern GL_OP_SET_LT_EXT :: GLenum
- pattern GL_OP_SUB_EXT :: GLenum
- pattern GL_OUTPUT_COLOR0_EXT :: GLenum
- pattern GL_OUTPUT_COLOR1_EXT :: GLenum
- pattern GL_OUTPUT_FOG_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD0_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD10_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD11_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD12_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD13_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD14_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD15_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD16_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD17_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD18_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD19_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD1_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD20_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD21_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD22_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD23_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD24_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD25_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD26_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD27_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD28_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD29_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD2_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD30_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD31_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD3_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD4_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD5_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD6_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD7_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD8_EXT :: GLenum
- pattern GL_OUTPUT_TEXTURE_COORD9_EXT :: GLenum
- pattern GL_OUTPUT_VERTEX_EXT :: GLenum
- pattern GL_SCALAR_EXT :: GLenum
- pattern GL_VARIANT_ARRAY_EXT :: GLenum
- pattern GL_VARIANT_ARRAY_POINTER_EXT :: GLenum
- pattern GL_VARIANT_ARRAY_STRIDE_EXT :: GLenum
- pattern GL_VARIANT_ARRAY_TYPE_EXT :: GLenum
- pattern GL_VARIANT_DATATYPE_EXT :: GLenum
- pattern GL_VARIANT_EXT :: GLenum
- pattern GL_VARIANT_VALUE_EXT :: GLenum
- pattern GL_VECTOR_EXT :: GLenum
- pattern GL_VERTEX_SHADER_BINDING_EXT :: GLenum
- pattern GL_VERTEX_SHADER_EXT :: GLenum
- pattern GL_VERTEX_SHADER_INSTRUCTIONS_EXT :: GLenum
- pattern GL_VERTEX_SHADER_INVARIANTS_EXT :: GLenum
- pattern GL_VERTEX_SHADER_LOCALS_EXT :: GLenum
- pattern GL_VERTEX_SHADER_LOCAL_CONSTANTS_EXT :: GLenum
- pattern GL_VERTEX_SHADER_OPTIMIZED_EXT :: GLenum
- pattern GL_VERTEX_SHADER_VARIANTS_EXT :: GLenum
- pattern GL_W_EXT :: GLenum
- pattern GL_X_EXT :: GLenum
- pattern GL_Y_EXT :: GLenum
- pattern GL_ZERO_EXT :: GLenum
- pattern GL_Z_EXT :: GLenum
- glBeginVertexShaderEXT :: MonadIO m => m ()
- glBindLightParameterEXT :: MonadIO m => GLenum -> GLenum -> m GLuint
- glBindMaterialParameterEXT :: MonadIO m => GLenum -> GLenum -> m GLuint
- glBindParameterEXT :: MonadIO m => GLenum -> m GLuint
- glBindTexGenParameterEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> m GLuint
- glBindTextureUnitParameterEXT :: MonadIO m => GLenum -> GLenum -> m GLuint
- glBindVertexShaderEXT :: MonadIO m => GLuint -> m ()
- glDeleteVertexShaderEXT :: MonadIO m => GLuint -> m ()
- glDisableVariantClientStateEXT :: MonadIO m => GLuint -> m ()
- glEnableVariantClientStateEXT :: MonadIO m => GLuint -> m ()
- glEndVertexShaderEXT :: MonadIO m => m ()
- glExtractComponentEXT :: MonadIO m => GLuint -> GLuint -> GLuint -> m ()
- glGenSymbolsEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> GLuint -> m GLuint
- glGenVertexShadersEXT :: MonadIO m => GLuint -> m GLuint
- glGetInvariantBooleanvEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLboolean -> m ()
- glGetInvariantFloatvEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glGetInvariantIntegervEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetLocalConstantBooleanvEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLboolean -> m ()
- glGetLocalConstantFloatvEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glGetLocalConstantIntegervEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetVariantBooleanvEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLboolean -> m ()
- glGetVariantFloatvEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glGetVariantIntegervEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetVariantPointervEXT :: MonadIO m => GLuint -> GLenum -> Ptr (Ptr a) -> m ()
- glInsertComponentEXT :: MonadIO m => GLuint -> GLuint -> GLuint -> m ()
- glIsVariantEnabledEXT :: MonadIO m => GLuint -> GLenum -> m GLboolean
- glSetInvariantEXT :: MonadIO m => GLuint -> GLenum -> Ptr a -> m ()
- glSetLocalConstantEXT :: MonadIO m => GLuint -> GLenum -> Ptr a -> m ()
- glShaderOp1EXT :: MonadIO m => GLenum -> GLuint -> GLuint -> m ()
- glShaderOp2EXT :: MonadIO m => GLenum -> GLuint -> GLuint -> GLuint -> m ()
- glShaderOp3EXT :: MonadIO m => GLenum -> GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glSwizzleEXT :: MonadIO m => GLuint -> GLuint -> GLenum -> GLenum -> GLenum -> GLenum -> m ()
- glVariantPointerEXT :: MonadIO m => GLuint -> GLenum -> GLuint -> Ptr a -> m ()
- glVariantbvEXT :: MonadIO m => GLuint -> Ptr GLbyte -> m ()
- glVariantdvEXT :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVariantfvEXT :: MonadIO m => GLuint -> Ptr GLfloat -> m ()
- glVariantivEXT :: MonadIO m => GLuint -> Ptr GLint -> m ()
- glVariantsvEXT :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVariantubvEXT :: MonadIO m => GLuint -> Ptr GLubyte -> m ()
- glVariantuivEXT :: MonadIO m => GLuint -> Ptr GLuint -> m ()
- glVariantusvEXT :: MonadIO m => GLuint -> Ptr GLushort -> m ()
- glWriteMaskEXT :: MonadIO m => GLuint -> GLuint -> GLenum -> GLenum -> GLenum -> GLenum -> m ()

# Extension Support

glGetEXTVertexShader :: MonadIO m => m Bool Source #

Is the EXT_vertex_shader extension supported?

gl_EXT_vertex_shader :: Bool Source #

Is the EXT_vertex_shader extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTVertexShader` in those cases instead.

# Enums

pattern GL_CURRENT_VERTEX_EXT :: GLenum Source #

pattern GL_FULL_RANGE_EXT :: GLenum Source #

pattern GL_INVARIANT_DATATYPE_EXT :: GLenum Source #

pattern GL_INVARIANT_EXT :: GLenum Source #

pattern GL_INVARIANT_VALUE_EXT :: GLenum Source #

pattern GL_LOCAL_CONSTANT_DATATYPE_EXT :: GLenum Source #

pattern GL_LOCAL_CONSTANT_EXT :: GLenum Source #

pattern GL_LOCAL_CONSTANT_VALUE_EXT :: GLenum Source #

pattern GL_LOCAL_EXT :: GLenum Source #

pattern GL_MATRIX_EXT :: GLenum Source #

pattern GL_MAX_OPTIMIZED_VERTEX_SHADER_INSTRUCTIONS_EXT :: GLenum Source #

pattern GL_MAX_OPTIMIZED_VERTEX_SHADER_INVARIANTS_EXT :: GLenum Source #

pattern GL_MAX_OPTIMIZED_VERTEX_SHADER_LOCALS_EXT :: GLenum Source #

pattern GL_MAX_OPTIMIZED_VERTEX_SHADER_LOCAL_CONSTANTS_EXT :: GLenum Source #

pattern GL_MAX_OPTIMIZED_VERTEX_SHADER_VARIANTS_EXT :: GLenum Source #

pattern GL_MAX_VERTEX_SHADER_INSTRUCTIONS_EXT :: GLenum Source #

pattern GL_MAX_VERTEX_SHADER_INVARIANTS_EXT :: GLenum Source #

pattern GL_MAX_VERTEX_SHADER_LOCALS_EXT :: GLenum Source #

pattern GL_MAX_VERTEX_SHADER_LOCAL_CONSTANTS_EXT :: GLenum Source #

pattern GL_MAX_VERTEX_SHADER_VARIANTS_EXT :: GLenum Source #

pattern GL_MVP_MATRIX_EXT :: GLenum Source #

pattern GL_NEGATIVE_ONE_EXT :: GLenum Source #

pattern GL_NEGATIVE_W_EXT :: GLenum Source #

pattern GL_NEGATIVE_X_EXT :: GLenum Source #

pattern GL_NEGATIVE_Y_EXT :: GLenum Source #

pattern GL_NEGATIVE_Z_EXT :: GLenum Source #

pattern GL_NORMALIZED_RANGE_EXT :: GLenum Source #

pattern GL_ONE_EXT :: GLenum Source #

pattern GL_OP_ADD_EXT :: GLenum Source #

pattern GL_OP_CLAMP_EXT :: GLenum Source #

pattern GL_OP_CROSS_PRODUCT_EXT :: GLenum Source #

pattern GL_OP_DOT3_EXT :: GLenum Source #

pattern GL_OP_DOT4_EXT :: GLenum Source #

pattern GL_OP_EXP_BASE_2_EXT :: GLenum Source #

pattern GL_OP_FLOOR_EXT :: GLenum Source #

pattern GL_OP_FRAC_EXT :: GLenum Source #

pattern GL_OP_INDEX_EXT :: GLenum Source #

pattern GL_OP_LOG_BASE_2_EXT :: GLenum Source #

pattern GL_OP_MADD_EXT :: GLenum Source #

pattern GL_OP_MAX_EXT :: GLenum Source #

pattern GL_OP_MIN_EXT :: GLenum Source #

pattern GL_OP_MOV_EXT :: GLenum Source #

pattern GL_OP_MULTIPLY_MATRIX_EXT :: GLenum Source #

pattern GL_OP_MUL_EXT :: GLenum Source #

pattern GL_OP_NEGATE_EXT :: GLenum Source #

pattern GL_OP_POWER_EXT :: GLenum Source #

pattern GL_OP_RECIP_EXT :: GLenum Source #

pattern GL_OP_RECIP_SQRT_EXT :: GLenum Source #

pattern GL_OP_ROUND_EXT :: GLenum Source #

pattern GL_OP_SET_GE_EXT :: GLenum Source #

pattern GL_OP_SET_LT_EXT :: GLenum Source #

pattern GL_OP_SUB_EXT :: GLenum Source #

pattern GL_OUTPUT_COLOR0_EXT :: GLenum Source #

pattern GL_OUTPUT_COLOR1_EXT :: GLenum Source #

pattern GL_OUTPUT_FOG_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD0_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD10_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD11_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD12_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD13_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD14_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD15_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD16_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD17_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD18_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD19_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD1_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD20_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD21_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD22_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD23_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD24_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD25_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD26_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD27_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD28_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD29_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD2_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD30_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD31_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD3_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD4_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD5_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD6_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD7_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD8_EXT :: GLenum Source #

pattern GL_OUTPUT_TEXTURE_COORD9_EXT :: GLenum Source #

pattern GL_OUTPUT_VERTEX_EXT :: GLenum Source #

pattern GL_SCALAR_EXT :: GLenum Source #

pattern GL_VARIANT_ARRAY_EXT :: GLenum Source #

pattern GL_VARIANT_ARRAY_POINTER_EXT :: GLenum Source #

pattern GL_VARIANT_ARRAY_STRIDE_EXT :: GLenum Source #

pattern GL_VARIANT_ARRAY_TYPE_EXT :: GLenum Source #

pattern GL_VARIANT_DATATYPE_EXT :: GLenum Source #

pattern GL_VARIANT_EXT :: GLenum Source #

pattern GL_VARIANT_VALUE_EXT :: GLenum Source #

pattern GL_VECTOR_EXT :: GLenum Source #

pattern GL_VERTEX_SHADER_BINDING_EXT :: GLenum Source #

pattern GL_VERTEX_SHADER_EXT :: GLenum Source #

pattern GL_VERTEX_SHADER_INSTRUCTIONS_EXT :: GLenum Source #

pattern GL_VERTEX_SHADER_INVARIANTS_EXT :: GLenum Source #

pattern GL_VERTEX_SHADER_LOCALS_EXT :: GLenum Source #

pattern GL_VERTEX_SHADER_LOCAL_CONSTANTS_EXT :: GLenum Source #

pattern GL_VERTEX_SHADER_OPTIMIZED_EXT :: GLenum Source #

pattern GL_VERTEX_SHADER_VARIANTS_EXT :: GLenum Source #

pattern GL_W_EXT :: GLenum Source #

pattern GL_X_EXT :: GLenum Source #

pattern GL_Y_EXT :: GLenum Source #

pattern GL_ZERO_EXT :: GLenum Source #

pattern GL_Z_EXT :: GLenum Source #

# Functions

glBeginVertexShaderEXT :: MonadIO m => m () Source #

glBindLightParameterEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `light` of type LightName.
-> GLenum | `value` of type LightParameter.
-> m GLuint |

glBindMaterialParameterEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `value` of type MaterialParameter.
-> m GLuint |

glBindParameterEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `value` of type VertexShaderParameterEXT.
-> m GLuint |

glBindTexGenParameterEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `unit` of type TextureUnit.
-> GLenum | `coord` of type TextureCoordName.
-> GLenum | `value` of type TextureGenParameter.
-> m GLuint |

glBindTextureUnitParameterEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `unit` of type TextureUnit.
-> GLenum | `value` of type VertexShaderTextureUnitParameter.
-> m GLuint |

glBindVertexShaderEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> m () |

glDeleteVertexShaderEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> m () |

glDisableVariantClientStateEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> m () |

glEnableVariantClientStateEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> m () |

glEndVertexShaderEXT :: MonadIO m => m () Source #

glExtractComponentEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `res`.
-> GLuint | `src`.
-> GLuint | `num`.
-> m () |

glGenSymbolsEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `datatype` of type DataTypeEXT.
-> GLenum | `storagetype` of type VertexShaderStorageTypeEXT.
-> GLenum | `range` of type ParameterRangeEXT.
-> GLuint | `components`.
-> m GLuint |

glGenVertexShadersEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `range`.
-> m GLuint |

glGetInvariantBooleanvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `value` of type GetVariantValueEXT.
-> Ptr GLboolean | `data` pointing to `COMPSIZE(id)` elements of type Boolean.
-> m () |

glGetInvariantFloatvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `value` of type GetVariantValueEXT.
-> Ptr GLfloat | `data` pointing to `COMPSIZE(id)` elements of type `GLfloat`.
-> m () |

glGetInvariantIntegervEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `value` of type GetVariantValueEXT.
-> Ptr GLint | `data` pointing to `COMPSIZE(id)` elements of type `GLint`.
-> m () |

glGetLocalConstantBooleanvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `value` of type GetVariantValueEXT.
-> Ptr GLboolean | `data` pointing to `COMPSIZE(id)` elements of type Boolean.
-> m () |

glGetLocalConstantFloatvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `value` of type GetVariantValueEXT.
-> Ptr GLfloat | `data` pointing to `COMPSIZE(id)` elements of type `GLfloat`.
-> m () |

glGetLocalConstantIntegervEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `value` of type GetVariantValueEXT.
-> Ptr GLint | `data` pointing to `COMPSIZE(id)` elements of type `GLint`.
-> m () |

glGetVariantBooleanvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `value` of type GetVariantValueEXT.
-> Ptr GLboolean | `data` pointing to `COMPSIZE(id)` elements of type Boolean.
-> m () |

glGetVariantFloatvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `value` of type GetVariantValueEXT.
-> Ptr GLfloat | `data` pointing to `COMPSIZE(id)` elements of type `GLfloat`.
-> m () |

glGetVariantIntegervEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `value` of type GetVariantValueEXT.
-> Ptr GLint | `data` pointing to `COMPSIZE(id)` elements of type `GLint`.
-> m () |

glGetVariantPointervEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `value` of type GetVariantValueEXT.
-> Ptr (Ptr a) | `data` pointing to `COMPSIZE(id)` elements of type `Ptr a`.
-> m () |

glInsertComponentEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `res`.
-> GLuint | `src`.
-> GLuint | `num`.
-> m () |

glIsVariantEnabledEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `cap` of type VariantCapEXT.
-> m GLboolean | of type Boolean.

glSetInvariantEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `type` of type ScalarType.
-> Ptr a | `addr` pointing to `COMPSIZE(id,type)` elements of type `a`.
-> m () |

glSetLocalConstantEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `type` of type ScalarType.
-> Ptr a | `addr` pointing to `COMPSIZE(id,type)` elements of type `a`.
-> m () |

glShaderOp1EXT Source #

Arguments

:: MonadIO m |
=> GLenum | `op` of type VertexShaderOpEXT.
-> GLuint | `res`.
-> GLuint | `arg1`.
-> m () |

glShaderOp2EXT Source #

Arguments

:: MonadIO m |
=> GLenum | `op` of type VertexShaderOpEXT.
-> GLuint | `res`.
-> GLuint | `arg1`.
-> GLuint | `arg2`.
-> m () |

glShaderOp3EXT Source #

Arguments

:: MonadIO m |
=> GLenum | `op` of type VertexShaderOpEXT.
-> GLuint | `res`.
-> GLuint | `arg1`.
-> GLuint | `arg2`.
-> GLuint | `arg3`.
-> m () |

glSwizzleEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `res`.
-> GLuint | `in`.
-> GLenum | `outX` of type VertexShaderCoordOutEXT.
-> GLenum | `outY` of type VertexShaderCoordOutEXT.
-> GLenum | `outZ` of type VertexShaderCoordOutEXT.
-> GLenum | `outW` of type VertexShaderCoordOutEXT.
-> m () |

glVariantPointerEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `type` of type ScalarType.
-> GLuint | `stride`.
-> Ptr a | `addr` pointing to `COMPSIZE(id,type,stride)` elements of type `a`.
-> m () |

glVariantbvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> Ptr GLbyte | `addr` pointing to `COMPSIZE(id)` elements of type `GLbyte`.
-> m () |

glVariantdvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> Ptr GLdouble | `addr` pointing to `COMPSIZE(id)` elements of type `GLdouble`.
-> m () |

glVariantfvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> Ptr GLfloat | `addr` pointing to `COMPSIZE(id)` elements of type `GLfloat`.
-> m () |

glVariantivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> Ptr GLint | `addr` pointing to `COMPSIZE(id)` elements of type `GLint`.
-> m () |

glVariantsvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> Ptr GLshort | `addr` pointing to `COMPSIZE(id)` elements of type `GLshort`.
-> m () |

glVariantubvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> Ptr GLubyte | `addr` pointing to `COMPSIZE(id)` elements of type `GLubyte`.
-> m () |

glVariantuivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> Ptr GLuint | `addr` pointing to `COMPSIZE(id)` elements of type `GLuint`.
-> m () |

glVariantusvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> Ptr GLushort | `addr` pointing to `COMPSIZE(id)` elements of type `GLushort`.
-> m () |

glWriteMaskEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `res`.
-> GLuint | `in`.
-> GLenum | `outX` of type VertexShaderWriteMaskEXT.
-> GLenum | `outY` of type VertexShaderWriteMaskEXT.
-> GLenum | `outZ` of type VertexShaderWriteMaskEXT.
-> GLenum | `outW` of type VertexShaderWriteMaskEXT.
-> m () |